jQuery.sap.require("sap.ui.qunit.qunit-css");
jQuery.sap.require("sap.ui.thirdparty.qunit");
jQuery.sap.require("sap.ui.qunit.qunit-junit");
QUnit.config.autostart = false;

sap.ui.require([
	"sap/ui/test/Opa5",
	"kodyaz/com/test/integration/pages/Common",
	"sap/ui/test/opaQunit",
	"kodyaz/com/test/integration/pages/App",
	"kodyaz/com/test/integration/pages/Browser",
	"kodyaz/com/test/integration/pages/Master",
	"kodyaz/com/test/integration/pages/Detail",
	"kodyaz/com/test/integration/pages/NotFound"
], function (Opa5, Common) {
	"use strict";
	Opa5.extendConfig({
		arrangements: new Common(),
		viewNamespace: "kodyaz.com.view."
	});

	sap.ui.require([
		"kodyaz/com/test/integration/NavigationJourneyPhone",
		"kodyaz/com/test/integration/NotFoundJourneyPhone",
		"kodyaz/com/test/integration/BusyJourneyPhone"
	], function () {
		QUnit.start();
	});
});

